/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.EsquemaCorridaInfo;
import com.rjconsultores.ventaboletos.entidad.Parada;

/**
 *
 * @author Wallace
 */
public class RenderCorridaInfomacaoTramo implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
    	EsquemaCorridaInfo esquemaCorridaInfo = (EsquemaCorridaInfo) o;

        Listcell lc = new Listcell();
        Parada origem = esquemaCorridaInfo.getOrigem();
        if (origem != null) {
            lc = new Listcell(origem.getDescparada());
        } else {
            lc = new Listcell("");
        }
        lc.setParent(lstm);

        Parada destino = esquemaCorridaInfo.getDestino();
        if (destino != null) {
            lc = new Listcell(destino.getDescparada());
        } else {
            lc = new Listcell("");
        }
        lc.setParent(lstm);
        
        String informacao = esquemaCorridaInfo.getInfoCorrida();
        if (informacao != null) {
            lc = new Listcell(informacao);
        } else {
            lc = new Listcell("");
        }
        lc.setParent(lstm);
        lstm.setAttribute("data", esquemaCorridaInfo);
    }
}
